Skip to content

insertStockTransfer

DESTRUCTIVE

Create a stock transfer with lines. Generates sequence ID automatically..

POST /api/v1/inventory/insertStockTransfer
curl -X POST '<your-host>/api/v1/inventory/insertStockTransfer' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string",
    "lines": []
  }'
Response
{
  "id": "string",
  "stockTransferId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    },
    "lines": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "itemId": {
            "type": "string"
          },
          "fromStorageUnitId": {
            "type": [
              "string",
              "null"
            ]
          },
          "toStorageUnitId": {
            "type": [
              "string",
              "null"
            ]
          },
          "quantity": {
            "type": "number"
          },
          "requiresSerialTracking": {
            "type": "boolean"
          },
          "requiresBatchTracking": {
            "type": "boolean"
          }
        },
        "required": [
          "itemId"
        ]
      }
    },
    "stockTransferId": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "locationId",
    "lines"
  ]
}